Create DesignTheme

POST /tenants/{tenant}/designthemes

Creates a new DesignTheme for the specified tenant.

Requires: Create on DesignThemes.

Parameters

NameTypeDescription
tenant* path string

The Tenant.Code

The Tenant.Code

Request Body*

{
  "name": "string",
  "isDefault": false,
  "heading1": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  },
  "heading2": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  },
  "heading3": {
    "fontFamily": "...",
    "fontSize": 0,
    "color": "string",
    "bold": false,
    "italic": false
  }
}

Responses

201 Created
400 Bad Request
application/problem+json
401 Unauthorized – Invalid or missing API key
403 Forbidden
application/problem+json